Empresa
Update a transaction by ID.
PUT
/
companies
/
transactions
/
{id}
Update a transaction by ID.
curl --request PUT \
--url https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'x-company-id: <x-company-id>' \
--data '
{
"amount": 123,
"bank_account_id": "<string>",
"coa_id": 123,
"competence": "<string>",
"contact": "<string>",
"cost_center_id": "<string>",
"due_date": "<string>",
"more_infos": "<string>",
"payment_date": "<string>",
"reference": "<string>",
"supplier_id": "<string>",
"tags": [
"<string>"
],
"type": "<string>",
"url": "<string>"
}
'import requests
url = "https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}"
payload = {
"amount": 123,
"bank_account_id": "<string>",
"coa_id": 123,
"competence": "<string>",
"contact": "<string>",
"cost_center_id": "<string>",
"due_date": "<string>",
"more_infos": "<string>",
"payment_date": "<string>",
"reference": "<string>",
"supplier_id": "<string>",
"tags": ["<string>"],
"type": "<string>",
"url": "<string>"
}
headers = {
"x-company-id": "<x-company-id>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-company-id': '<x-company-id>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 123,
bank_account_id: '<string>',
coa_id: 123,
competence: '<string>',
contact: '<string>',
cost_center_id: '<string>',
due_date: '<string>',
more_infos: '<string>',
payment_date: '<string>',
reference: '<string>',
supplier_id: '<string>',
tags: ['<string>'],
type: '<string>',
url: '<string>'
})
};
fetch('https://golang-api-vgnqx.ondigitalocean.app/v1/companies/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}{}{}Authorizations
Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo esquema ApiKeyAuth do contrato).
Headers
company uuid
Path Parameters
Transaction ID
Body
application/json
Transaction data
Response
OK
The response is of type object.
⌘I
Update a transaction by ID.
